Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface WorkspaceServicesDef

public interface WorkspaceServicesDef

The WorkspaceServicesDef defines the Workspace services of WebLogic. Workspaces exist in a hierarchical arrangement that ranges from the cluster level, which contains all its server Workspaces, each of which contains all its group Workspaces, each of which contains all its client Workspaces, each of which can contain user-named subWorkspaces.

All of the methods/variables in this class except `getWorkspace()` were deprecated in release 2.4. Use `weblogic.workspace.common.WorkspaceDef` instead.

Author:
  Copyright (c) 1996-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WorkspaceDef`

Field Summary
`static int` | `SCOPE_CLIENT` Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_CLIENT
`static int` | `SCOPE_CLUSTER` Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_CLUSTER
`static int` | `SCOPE_GROUP` Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_GROUP
`static int` | `SCOPE_NAMED` Deprecated.
`static int` | `SCOPE_SERVER` Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_SERVER
`static int` | `SCOPE_SYSTEM` Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_SERVER

Method Summary
`java.lang.String` | `create(java.lang.String name)` Deprecated. Use getWorkspace()
`java.lang.String` | `create(java.lang.String name, int scope)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.getWorkspace()
`java.lang.String` | `create(java.lang.String name, java.lang.String parent)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.getWorkspace()
`void` | `destroy(java.lang.String wsID)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.destroy()
`java.lang.Object` | `fetch(java.lang.String key)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()
`java.lang.Object` | `fetch(java.lang.String key, int scope)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()
`java.lang.Object` | `fetch(java.lang.String key, java.lang.String wsID)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()
`java.lang.String` | `getID()` Deprecated. Use weblogic.workspace.common.WorkspaceDef.getID()
`java.lang.String` | `getName()` Deprecated. Use weblogic.workspace.common.WorkspaceDef.getName()
`WorkspaceDef` | `getWorkspace()` Returns the default named client Workspace object.
`java.util.Enumeration` | `keys()` Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()
`java.util.Enumeration` | `keys(int scope)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.keys()
`java.util.Enumeration` | `keys(java.lang.String workspace)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.keys()
`java.lang.Object` | `remove(java.lang.String key)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()
`java.lang.Object` | `remove(java.lang.String key, int scope)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()
`java.lang.Object` | `remove(java.lang.String key, java.lang.String wsID)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()
`void` | `store(java.lang.String key, java.lang.Object p)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()
`void` | `store(java.lang.String key, java.lang.Object p, int scope)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()
`void` | `store(java.lang.String key, java.lang.Object p, java.lang.String wsID)` Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()

Field Detail

### SCOPE_NAMED

    public static final int SCOPE_NAMED

  Deprecated.
  Scope for a named workspace. Deprecated in 2.4.

### SCOPE_CLIENT

    public static final int SCOPE_CLIENT

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_CLIENT
  Scope for a client workspace. Deprecated in 2.5.

### SCOPE_GROUP

    public static final int SCOPE_GROUP

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_GROUP
  Scope for a group workspace. Deprecated in 2.5.

### SCOPE_SYSTEM

    public static final int SCOPE_SYSTEM

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_SERVER
  Scope for the server-wide workspace. Deprecated in 2.4.

### SCOPE_SERVER

    public static final int SCOPE_SERVER

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_SERVER
  Scope for the server-wide workspace. Deprecated in 2.5.

### SCOPE_CLUSTER

    public static final int SCOPE_CLUSTER

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.SCOPE_CLUSTER
  Scope for a cluster-wide workspace.

Method Detail

### getID

    public java.lang.String getID()

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.getID()

### getName

    public java.lang.String getName()

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.getName()

### store

    public void store(java.lang.String key,
                      java.lang.Object p)
               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()

### store

    public void store(java.lang.String key,
                      java.lang.Object p,
                      int scope)
               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()

### store

    public void store(java.lang.String key,
                      java.lang.Object p,
                      java.lang.String wsID)
               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.store()

### fetch

    public java.lang.Object fetch(java.lang.String key)
                           throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()

### fetch

    public java.lang.Object fetch(java.lang.String key,
                                  int scope)
                           throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()

### fetch

    public java.lang.Object fetch(java.lang.String key,
                                  java.lang.String wsID)
                           throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()

### remove

    public java.lang.Object remove(java.lang.String key)
                            throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.fetch()

### remove

    public java.lang.Object remove(java.lang.String key,
                                   int scope)
                            throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()

### remove

    public java.lang.Object remove(java.lang.String key,
                                   java.lang.String wsID)
                            throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()

### keys

    public java.util.Enumeration keys()
                               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.remove()

### keys

    public java.util.Enumeration keys(int scope)
                               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.keys()

### keys

    public java.util.Enumeration keys(java.lang.String workspace)
                               throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.keys()

### create

    public java.lang.String create(java.lang.String name,
                                   java.lang.String parent)
                            throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.getWorkspace()

### create

    public java.lang.String create(java.lang.String name,
                                   int scope)
                            throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.getWorkspace()

### create

    public java.lang.String create(java.lang.String name)
                            throws T3Exception

  Deprecated. Use getWorkspace()

### getWorkspace

    public WorkspaceDef getWorkspace()
                              throws T3Exception

  Returns the default named client Workspace object.

  Returns:
    Workspace object of the workspace

### destroy

    public void destroy(java.lang.String wsID)
                 throws T3Exception

  Deprecated. Use weblogic.workspace.common.WorkspaceDef.destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD